/* 
 * Stolen from http://cvs.kerneli.org/util-linux/lib/setproctitle.h?sortby=rev 
 *
 * Read that site for licensing information.
 */

/* $Id: setproctitle.h,v 1.3 2003/03/23 18:50:38 vjt Exp $ */

#ifndef __setproctitle_h__
#define __setproctitle_h__

#include "config.h"

#if OS == Linux && !defined( HAVE_SETPROCTITLE )

void initproctitle(gint, gchar **);
void setproctitle(const gchar *fmt, ...);

#define SETPROCTITLE_APPEND " (sux)"

#else

#if defined( HAVE_SETPROCTITLE ) /* OS != Linux */
#define initproctitle(...)		((void)0)
#define SETPROCTITLE_APPEND
#else
#define setproctitle(...)		((void)0)
#define initproctitle(...)		((void)0)
#endif

#endif /* OS == Linux */

#endif
